Package com.io7m.idstore.server.service.branding

# Class IdServerBrandingService

java.lang.Object
com.io7m.idstore.server.service.branding.IdServerBrandingService

All Implemented Interfaces:
  `IdServerBrandingServiceType`, `com.io7m.repetoir.core.RPServiceType`

public final class IdServerBrandingService extends Object implements IdServerBrandingServiceType
The service that supplies branding information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdServerBrandingServiceType`
  `create(IdFMTemplateServiceType templates, IdServerBrandingConfiguration configuration)`
  Create a branding service.
  `String`
  `css()`
  `String`
  `description()`
  `String`
  `emailSubject(String subject)`
  The branded email subject.
  `String`
  `htmlTitle(String name)`
  `Optional<String>`
  `loginExtraText()`
  `byte[]`
  `logoImage()`
  `String`
  `title()`
  `String`
  `toString()`
  `String`
  `xButtonCSS()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### create

    public static IdServerBrandingServiceType create(IdFMTemplateServiceType templates, IdServerBrandingConfiguration configuration) throws IOException
    Create a branding service.
    Parameters:
      `templates` - The template service
      `configuration` - The branding configuration
    Returns:
      A branding service
    Throws:
      `IOException` - On errors

  - ### logoImage

    public byte[] logoImage()
    Specified by:
      `logoImage` in interface `IdServerBrandingServiceType`
    Returns:
      The bytes of an SVG logo image

  - ### title

    public String title()
    Specified by:
      `title` in interface `IdServerBrandingServiceType`
    Returns:
      The product title

  - ### xButtonCSS

    public String xButtonCSS()
    Specified by:
      `xButtonCSS` in interface `IdServerBrandingServiceType`
    Returns:
      The xButton CSS

  - ### css

    public String css()
    Specified by:
      `css` in interface `IdServerBrandingServiceType`
    Returns:
      The CSS text

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`

  - ### htmlTitle

    public String htmlTitle(String name)
    Specified by:
      `htmlTitle` in interface `IdServerBrandingServiceType`
    Parameters:
      `name` - The name/phrase
    Returns:
      An HTML title for the given name/phrase

  - ### loginExtraText

    public Optional<String> loginExtraText()
    Specified by:
      `loginExtraText` in interface `IdServerBrandingServiceType`
    Returns:
      The extra text inserted below the login form (XHTML)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### emailSubject

    public String emailSubject(String subject)
    Description copied from interface: `IdServerBrandingServiceType`
    The branded email subject.
    Specified by:
      `emailSubject` in interface `IdServerBrandingServiceType`
    Parameters:
      `subject` - The subject txt
    Returns:
      The branded string